Skip to main content
POST
/
api
/
v2
/
savings
/
withdrawal
Create withdrawal
curl --request POST \
  --url https://sandbox.killb.app/api/v2/savings/withdrawal \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "source": {
    "savingsAccountId": "e8d74b2f-86df-43b0-a9d9-72055a6b0432"
  },
  "destination": {
    "savingsAccountId": "e8d74b2f-86df-43b0-a9d9-72055a6b0432",
    "externalAccountId": "e8d74b2f-86df-43b0-a9d9-72055a6b0432"
  },
  "amount": 100,
  "comment": "Monthly withdrawal"
}
'
{
  "id": "e8d74b2f-86df-43b0-a9d9-72055a6b0432",
  "status": "CREATED",
  "amount": 100,
  "userId": "e8d74b2f-86df-43b0-a9d9-72055a6b0432",
  "type": "WITHDRAWAL",
  "source": {
    "currency": "USD",
    "custodialAccountId": "e8d74b2f-86df-43b0-a9d9-72055a6b0432"
  },
  "destination": null,
  "createdAt": "2026-04-23T00:38:08.439Z",
  "updatedAt": "2026-04-23T00:38:08.439Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.killb.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json
source
object
required
destination
object
required
amount
number
required
Example:

100

comment
string
required
Example:

"Monthly withdrawal"

Response

id
string<uuid>
required
Example:

"e8d74b2f-86df-43b0-a9d9-72055a6b0432"

status
enum<string>
required
Available options:
CREATED,
PENDING,
PROCESSING,
CONFIRMED,
REFUNDED,
COMPLETED,
CANCELED,
EXPIRED,
FAILED,
ERROR,
REJECTED
Example:

"CREATED"

amount
number
required
Example:

100

userId
string<uuid>
required
Example:

"e8d74b2f-86df-43b0-a9d9-72055a6b0432"

type
enum<string>
required
Available options:
DEPOSIT,
WITHDRAWAL
Example:

"WITHDRAWAL"

source
object
required
destination
object
required
Example:

null

createdAt
string<date-time>
required
Example:

"2026-04-23T00:38:08.439Z"

updatedAt
string<date-time>
required
Example:

"2026-04-23T00:38:08.439Z"